Loading...
Searching...
No Matches
msg_protos.h File Reference
Headers

Prototypes for common headers. More...

`#include <sofia-sip/msg_header.h>`
Include dependency graph for msg_protos.h:

Go to the source code of this file.

## Macros

#define | MSG_PROTOS_H
| Defined when <sofia-sip/msg_protos.h> has been included.
#define | MSG_UNKNOWN_INIT()
| Initializer for structure msg_unknown_t.
#define | MSG_ERROR_INIT()
| Initializer for structure msg_error_t.
#define | MSG_SEPARATOR_INIT()
| Initializer for structure msg_separator_t.
#define | MSG_PAYLOAD_INIT()
| Initializer for structure msg_payload_t.

## Enumerations

enum | { msg_unknown_hash }
enum | { msg_error_hash }
enum | { msg_separator_hash }
enum | { msg_payload_hash }

## Functions

msg_unknown_t * | msg_unknown_init (msg_unknown_t x[1])
| Initialize a structure msg_unknown_t.
int | msg_is_unknown (msg_header_t const *header)
| Test if header object is instance of msg_unknown_t.
msg_unknown_t * | msg_unknown_dup (su_home_t *home, msg_unknown_t const *header))
| Duplicate (deep copy) `msg_unknown_t`.
msg_unknown_t * | msg_unknown_copy (su_home_t *home, msg_unknown_t const *header))
| Copy a msg_unknown_t header structure.
msg_unknown_t * | msg_unknown_make (su_home_t *home, char const *s)
| Make a header structure msg_unknown_t.
msg_unknown_t * | msg_unknown_format (su_home_t *home, char const *fmt,...)))
| Make a unknown headers from formatting result.
msg_error_t * | msg_error_init (msg_error_t x[1])
| Initialize a structure msg_error_t.
int | msg_is_error (msg_header_t const *header)
| Test if header object is instance of msg_error_t.
msg_error_t * | msg_error_dup (su_home_t *home, msg_error_t const *header))
| Duplicate (deep copy) `msg_error_t`.
msg_error_t * | msg_error_copy (su_home_t *home, msg_error_t const *header))
| Copy a msg_error_t header structure.
msg_error_t * | msg_error_make (su_home_t *home, char const *s)
| Make a header structure msg_error_t.
msg_error_t * | msg_error_format (su_home_t *home, char const *fmt,...)))
| Make a erroneous headers from formatting result.
msg_separator_t * | msg_separator_init (msg_separator_t x[1])
| Initialize a structure msg_separator_t.
int | msg_is_separator (msg_header_t const *header)
| Test if header object is instance of msg_separator_t.
msg_separator_t * | msg_separator_dup (su_home_t *home, msg_separator_t const *header))
| Duplicate (deep copy) `msg_separator_t`.
msg_separator_t * | msg_separator_copy (su_home_t *home, msg_separator_t const *header))
| Copy a msg_separator_t header structure.
msg_separator_t * | msg_separator_make (su_home_t *home, char const *s)
| Make a header structure msg_separator_t.
msg_separator_t * | msg_separator_format (su_home_t *home, char const *fmt,...)))
| Make a separator line between headers and body from formatting result.
msg_payload_t * | msg_payload_init (msg_payload_t x[1])
| Initialize a structure msg_payload_t.
int | msg_is_payload (msg_header_t const *header)
| Test if header object is instance of msg_payload_t.
msg_payload_t * | msg_payload_dup (su_home_t *home, msg_payload_t const *header))
| Duplicate (deep copy) `msg_payload_t`.
msg_payload_t * | msg_payload_copy (su_home_t *home, msg_payload_t const *header))
| Copy a msg_payload_t header structure.
msg_payload_t * | msg_payload_make (su_home_t *home, char const *s)
| Make a header structure msg_payload_t.
msg_payload_t * | msg_payload_format (su_home_t *home, char const *fmt,...)))
| Make a message payload from formatting result.

## Variables

msg_parse_f | msg_unknown_d
| Parse a unknown headers.
msg_print_f | msg_unknown_e
| Print a unknown headers.
msg_hclass_t | msg_unknown_class []
| Header class for unknown headers.
msg_parse_f | msg_error_d
| Parse a erroneous headers.
msg_print_f | msg_error_e
| Print a erroneous headers.
msg_hclass_t | msg_error_class []
| Header class for erroneous headers.
msg_parse_f | msg_separator_d
| Parse a separator line between headers and body.
msg_print_f | msg_separator_e
| Print a separator line between headers and body.
msg_hclass_t | msg_separator_class []
| Header class for separator line between headers and body.
msg_parse_f | msg_payload_d
| Parse a message payload.
msg_print_f | msg_payload_e
| Print a message payload.
msg_hclass_t | msg_payload_class []
| Header class for message payload.

## Detailed Description

Prototypes for common headers.

This file is automatically generated from <msg_mime.h> by msg_parser.awk.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Fri Aug 16 19:18:26 EEST 2002 ppessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.